eclipse3.3 错误!

C、C++和Java语言
回复
staryin
帖子: 60
注册时间: 2007-04-19 20:07
送出感谢: 0
接收感谢: 0

eclipse3.3 错误!

#1

帖子 staryin » 2007-11-15 20:47

我的系统是ubuntu 7.10 elcipse是3.3的。启动之后如下错误:
JVM terminated. Exit code=13
/usr/bin/java
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m
-jar /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
-os linux
-ws gtk
-arch x86
-showsplash
-launcher /home/xzhu/eclipse/eclipse
-name Eclipse
--launcher.library /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.2.R331_v20071019/eclipse_1021.so
-startup /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
-exitdata 880010
-vm /usr/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m
-jar /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
什么原因,解决方法?
cosquidz
帖子: 507
注册时间: 2006-06-19 12:17
来自: 香山县
送出感谢: 0
接收感谢: 0

#2

帖子 cosquidz » 2007-11-15 21:09

不晓得,我就这么做的
$ ln -s JAVA_HOME/jre ~/*/eclipse/
我把 eclipse 发给你自己的home,* 代表路径。。。很长。。。。。。
启动正常。
少说话,多做事,切记!!

[测试]解决 Sciom 输入失效的暂时方案

下面都空荡荡了。呵呵
staryin
帖子: 60
注册时间: 2007-04-19 20:07
送出感谢: 0
接收感谢: 0

#3

帖子 staryin » 2007-11-16 8:08

还是不对阿!有谁能够想想办法阿?
我的java是6.0的
为社么我的机子上eclipse3.2能运行,3.3就不能了?
zxkane
帖子: 103
注册时间: 2007-11-02 10:46
送出感谢: 0
接收感谢: 0

Re: eclipse3.3 错误!

#4

帖子 zxkane » 2007-11-16 21:52

staryin 写了:我的系统是ubuntu 7.10 elcipse是3.3的。启动之后如下错误:
JVM terminated. Exit code=13
/usr/bin/java
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m
-jar /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
-os linux
-ws gtk
-arch x86
-showsplash
-launcher /home/xzhu/eclipse/eclipse
-name Eclipse
--launcher.library /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.2.R331_v20071019/eclipse_1021.so
-startup /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
-exitdata 880010
-vm /usr/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.5
-Xms40m
-Xmx512m
-jar /home/xzhu/eclipse/plugins/org.eclipse.equinox.launcher_1.0.1.R33x_v20070828.jar
什么原因,解决方法?

在terminal里执行能看到jvm不能执行的原因
头像
HUNTER927
帖子: 13
注册时间: 2007-09-28 10:51
来自: bj
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 HUNTER927 » 2007-11-29 10:35

java环境没配好,win也有同样的错
vulcan
帖子: 9
注册时间: 2006-02-07 15:21
来自: Civil Aviation University of China
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 vulcan » 2008-01-07 9:19

你是不是64位系统阿,3.3的linux版本分了64位的,下载x86_64版本
xinyu391
帖子: 99
注册时间: 2007-04-21 7:37
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 xinyu391 » 2008-03-06 18:29

确认 :楼上的问题是由于在64位机上运行32位程序造成,请下在64位版本
头像
windwiny
帖子: 2254
注册时间: 2007-03-13 17:26
送出感谢: 0
接收感谢: 1 次

#8

帖子 windwiny » 2008-03-07 13:36

java 程序也分32/64位的。。。。。设计时怎么不解决
头像
daviszhao
帖子: 56
注册时间: 2006-07-19 22:31
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 daviszhao » 2008-03-07 14:16

执行java -version确认java版本,如果是java版本不对,用update-java-alternative重新指定java
回复

回到 “C/C++/Java”